%define upstream_name    Geo-METAR
%define upstream_version 1.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Process aviation weather reports in the METAR format
License:    GPL
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  gmp-devel
BuildArch: noarch


%description
METAR reports are available on-line, thanks to the National
Weather Service. Since reading the METAR format isn't easy
for non-pilots, these reports are relatively useles to the
common man who just wants a quick glace at the weather.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc TODO README examples/*
%{perl_vendorlib}/Geo
%{_mandir}/*/*



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.150.0-9.mga8
+ Revision: 1494694
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.150.0-8.mga7
+ Revision: 1268202
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-7.mga6
+ Revision: 1027785
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.150.0-6.mga6
+ Revision: 939399
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-5.mga5
+ Revision: 743030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 684842
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.150.0-3.mga4
+ Revision: 511888
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.150.0-2.mga3
+ Revision: 367639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 22445
- cleaning spec file
- imported package perl-Geo-METAR

